Name:           jazzy
Version:        0.5.2
Release:        12%{?dist}
Summary:        Java-based spell checker
License:        LGPLv2+
URL:            http://sourceforge.net/projects/jazzy
# https://github.com/kinow/jazzy/
Source0:        http://downloads.sourceforge.net/project/jazzy/Jazzy/Jazzy-%{version}/jazzy-%{version}.src.zip
Source1:        http://repo2.maven.org/maven2/net/sf/jazzy/jazzy-core/%{version}/jazzy-core-%{version}.pom
Source2:        http://repo2.maven.org/maven2/net/sf/jazzy/jazzy-swing/%{version}/jazzy-swing-%{version}.pom

BuildRequires:  ant
BuildRequires:  javapackages-local

BuildArch:      noarch

%description
Jazzy is a pure Java library implementing a spell checking algorithm
similar to aspell. It may be used to spell check a variety of sources.

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
Java API Documentation for %{name}.

%prep
%setup -q -c

sed -i '/Class-Path/d' build.xml

find -name '*.jar' -delete

%build
ant binary-release javadoc

# Get rid of CP/M line enxoding
for F in *.txt
do
        sed 's/\r//' <$F >temp
        touch -r $F temp
        mv temp $F
done


%install
%mvn_artifact %{SOURCE1} dist/lib/%{name}-core.jar
%mvn_artifact %{SOURCE2} dist/lib/%{name}-swing.jar
%mvn_artifact net.sf.%{name}:%{name}-examples:%{version} dist/lib/%{name}-examples.jar
%mvn_install -J javadoc

%files -f .mfiles
%doc CONTRIBUTORS.txt example2.txt README.txt
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%changelog
* Fri Sep 04 2015 gil cattaneo <puntogil@libero.it> 0.5.2-12
- add maven metadata

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Feb 06 2015 gil cattaneo <puntogil@libero.it> 0.5.2-10
- introduce license macro

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Oct 22 2013 gil cattaneo <puntogil@libero.it> 0.5.2-8
- fix rhbz#1022112
- adapt to current gudeline

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Nov 30 2009 Lubomir Rintel <lkundrak@v3.sk> - 0.5.2-2
- Add missing dash to jar file name (Alexander Kurtakov, #540653#c2)

* Mon Nov 23 2009 Lubomir Rintel <lkundrak@v3.sk> - 0.5.2-1
- Initial packaging
